Subject: bug#7877: sleep takes undocumented hex args

From: Jim Meyering <[email-masked]>
Date: Fri, 21 Jan 2011 14:03:41 +0100

[email-masked] wrote:
> You see I was trying to make very special arguments to sleep so that I
> can make sure to kill the one I want
>     pkill -u jidanni -fx sleep\ 000022
> It is not clear if that will still work.

With today's change using "sleep 000022" will
still act just like "sleep 22".

I could not change that (and would not want to!)
without breaking with years of tradition.

> Maybe the man/info page should
> say a regexp that matches all valid args.

It already describes the format pretty well,
mentioning "floating point" and the four suffixes.